import { AnimationBuilder, AnimationPlayer, AnimationReferenceMetadata } from '@angular/animations';
import { ElementRef } from '@angular/core';
export declare class AnimationHelperService {
    private readonly animationBuilder;
    constructor(animationBuilder: AnimationBuilder);
    animate(hasAnimations: HasAnimations, element: ElementRef | undefined, metadata: AnimationReferenceMetadata, destroyOnDone?: boolean, onDone?: () => void): void;
    runPlayer(hasAnimations: HasAnimations, element: ElementRef | undefined, metadata: AnimationReferenceMetadata, destroyOnDone?: boolean, onDone?: () => void): void;
    isAnimationPlayerDone(player: AnimationPlayerWrapper): boolean;
}
export interface HasAnimations {
    readonly animationHelper: AnimationHelperService;
    players: AnimationPlayerWrapper[];
}
export interface AnimationPlayerWrapper {
    player: AnimationPlayer;
    done: boolean;
}
