import { ElementRef, OnChanges, OnDestroy, Renderer2, SimpleChanges, TemplateRef, ViewContainerRef } from '@angular/core';
import { AnimationHelperService, AnimationPlayerWrapper, HasAnimations } from './animation-helper.service';
import { NgxBlockLoadingOptions } from './ngx-block-loading.options';
import { NgxBlockLoadingService } from './ngx-block-loading.service';
export declare class NgxBlockLoadingDirective implements OnChanges, OnDestroy, HasAnimations {
    private element;
    private readonly viewContainerRef;
    private readonly renderer;
    private readonly loadingService;
    private readonly options;
    readonly animationHelper: AnimationHelperService;
    inTime: string;
    outTime: string;
    loaderOutTime: string;
    containerHeight: string;
    loadingContainerClass: string;
    loadingClass: string;
    private _isLoading;
    set isLoading(value: boolean | '');
    get isLoading(): boolean | '';
    template?: TemplateRef<any>;
    private loadingElement?;
    private hasLoadingElement;
    private onDestroy$;
    private overrideLoading;
    players: AnimationPlayerWrapper[];
    static ngAcceptInputType_isLoading: boolean | '';
    private get loadingContainerStyle();
    private get loadingStyle();
    private get notLoadingContainerStyle();
    private get notLoadingStyle();
    constructor(element: ElementRef, viewContainerRef: ViewContainerRef, renderer: Renderer2, loadingService: NgxBlockLoadingService, options: NgxBlockLoadingOptions, animationHelper: AnimationHelperService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private updateLoading;
    private updateLoadingElement;
    private getTemplateElement;
    private createLoadingElement;
    private removeLoadingElement;
}
